NodeRings Docs

List Effective Permissions

GET
/v1/permissions/effective
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

Query Parameters

userIds?array<string>

Response Body

application/json

curl -X GET "https://api.nrings.io/v1/permissions/effective?userIds" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}"
{
  "effectivePermissions": {
    "property1": {
      "permissions": [
        {
          "id": "string",
          "methodName": "string",
          "httpMethod": "string",
          "serviceName": "string",
          "scope": "string"
        }
      ],
      "totalCount": 0
    },
    "property2": {
      "permissions": [
        {
          "id": "string",
          "methodName": "string",
          "httpMethod": "string",
          "serviceName": "string",
          "scope": "string"
        }
      ],
      "totalCount": 0
    }
  },
  "totalCount": 0
}